[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tvector3_double

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Double precision vector of three scalars

## Declaration

Source position: matrix.pp line 98

`type Tvector3_double = object`
`data: Tvector3_double_data;` |  | Internal data of Tvector3.double
`constructor init_zero;` |  | Initializes the vector and sets its elements to zero
`constructor init_one;` |  | Initializes the vector and sets its elements to one
`constructor init();` |  | Initializes the vector, setting its elements to the values passed to the constructor.
`function length;` |  | Calculates the length of the vector.
`function squared_length;` |  | Calculates the squared length of the vector.
`end;`

## Inheritance

`Tvector3_double` |  | Double precision vector of three scalars

## Description

The Tvector3_double object provides a vector of three double precision scalars.